module.exports = {
	plugins: [
		require('autoprefixer'),
		require('postcss-sorting')({
			order: [
				'custom-properties',
				'dollar-variables',
				{
					type: 'at-rule',
					name: 'include',
				},
				'declarations',
				'rules',
				{
					type: 'at-rule',
					name: 'media',
				},
			],
			'properties-order': [
				'font',
				'font-family',
				'font-size',
				'font-weight',
				'font-style',
				'font-variant',
				'font-size-adjust',
				'font-stretch',
				'font-effect',
				'font-emphasize',
				'font-emphasize-position',
				'font-emphasize-style',
				'font-smooth',
				'font-smoothing',
				'line-height',
				'text-align',
				'text-align-last',
				'text-decoration',
				'text-emphasis',
				'text-emphasis-color',
				'text-emphasis-style',
				'text-emphasis-position',
				'text-indent',
				'text-justify',
				'text-outline',
				'text-transform',
				'text-size-adjust',
				'text-wrap',
				'text-overflow',
				'text-overflow-ellipsis',
				'text-overflow-mode',
				'vertical-align',
				'white-space',
				'letter-spacing',
				'word-spacing',
				'word-wrap',
				'word-break',
				'writing-mode',
				'tab-size',
				'hyphens',

				'background',
				'background-color',
				'background-image',
				'background-repeat',
				'background-attachment',
				'background-position',
				'background-position-x',
				'background-position-y',
				'background-clip',
				'background-origin',
				'background-size',
				'interpolation-mode',
				'filter',
				'border',
				'border-width',
				'border-style',
				'border-color',
				'border-top',
				'border-top-width',
				'border-top-style',
				'border-top-color',
				'border-right',
				'border-right-width',
				'border-right-style',
				'border-right-color',
				'border-bottom',
				'border-bottom-width',
				'border-bottom-style',
				'border-bottom-color',
				'border-left',
				'border-left-width',
				'border-left-style',
				'border-left-color',
				'border-radius',
				'border-top-left-radius',
				'border-top-right-radius',
				'border-bottom-right-radius',
				'border-bottom-left-radius',
				'border-image',
				'border-image-source',
				'border-image-slice',
				'border-image-width',
				'border-image-outset',
				'border-image-repeat',
				'outline',
				'outline-width',
				'outline-style',
				'outline-color',
				'outline-offset',
				'tap-highlight-color',

				'box-decoration-break',
				'box-shadow',
				'text-shadow',

				'color',
				'opacity',

				'position',
				'z-index',
				'top',
				'right',
				'bottom',
				'left',

				'display',
				'visibility',
				'float',
				'clear',
				'overflow',
				'overflow-x',
				'overflow-y',
				'overflow-scrolling',
				'clip',
				'zoom',
				'flex',
				'flex-direction',
				'flex-order',
				'flex-pack',
				'flex-align',
				'flex-basis',
				'flex-grow',
				'flex-shrink',
				'flex-wrap',
				'grid',
				'grid-area',
				'grid-auto-columns',
				'grid-auto-flow',
				'grid-auto-rows',
				'grid-column',
				'grid-column-start',
				'grid-column-gap',
				'grid-column-end',
				'grid-gap',
				'grid-row',
				'grid-row-start',
				'grid-row-gap',
				'grid-row-end',
				'grid-template',
				'grid-template-areas',
				'grid-template-columns',
				'grid-template-rows',
				'justify-content',
				'align-items',
				'align-self',

				'box-sizing',
				'width',
				'min-width',
				'max-width',
				'height',
				'min-height',
				'max-height',
				'margin',
				'margin-top',
				'margin-right',
				'margin-bottom',
				'margin-left',
				'padding',
				'padding-top',
				'padding-right',
				'padding-bottom',
				'padding-left',

				'table-layout',
				'empty-cells',
				'caption-side',
				'border-spacing',
				'border-collapse',
				'list-style',
				'list-style-position',
				'list-style-type',
				'list-style-image',

				'content',
				'quotes',
				'counter-reset',
				'counter-increment',
				'resize',
				'cursor',
				'touch-callout',
				'touch-action',
				'user-select',
				'nav-index',
				'nav-up',
				'nav-right',
				'nav-down',
				'nav-left',
				'transition',
				'transition-delay',
				'transition-timing-function',
				'transition-duration',
				'transition-property',
				'transform',
				'transform-origin',
				'animation',
				'animation-name',
				'animation-duration',
				'animation-play-state',
				'animation-timing-function',
				'animation-delay',
				'animation-iteration-count',
				'animation-direction',
				'pointer-events',
			],
			'unspecified-properties-position': 'bottomAlphabetical',
		}),
		require('postcss-pxtorem')({
			rootValue: 16,
			unitPrecision: 7,
			propWhiteList: [
				'font',
				'font-size',
				'margin',
				'margin-left',
				'margin-right',
				'margin-top',
				'margin-bottom',
				'padding',
				'padding-left',
				'padding-right',
				'padding-top',
				'padding-bottom',
			],
			selectorBlackList: [],
			replace: true,
			mediaQuery: false,
			minPixelValue: 0,
		}),
	],
};
